Summary:	Network protocol analyzer
Name:		wireshark
Version:	2.2.11
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://wireshark.org/download/src/all-versions/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}-autoconf.m4
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.wireshark.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	make

BuildRequires:	c-ares-devel >= 1.10.0-2
BuildRequires:	GeoIP-devel >= 1.5.1-1
# otherwise G_CONST_RETURN is undefined as deprecated
BuildRequires:	glib2-devel >= 2.28.8-1
BuildRequires:	glib2-devel <= 2.28.8-1
BuildRequires:	gnutls-devel >= 2.12.23-2
BuildRequires:	gtk2-devel >= 2.20.1-2
BuildRequires:	libgcrypt-devel >= 1.6.6-1
BuildRequires:	libgpg-error-devel >= 1.26-1
BuildRequires:	libpcap-devel >= 1.7.4-1
BuildRequires:	libsmi-devel >= 0.4.8-1
BuildRequires:	libssh-devel >= 0.7.5-1
BuildRequires:	pango-devel >= 1.24.5-1
BuildRequires:	readline-devel >= 7.0-3
BuildRequires:	zlib-devel >= 1.2.3-7

Requires:	bash
Requires:	c-ares >= 1.10.0-2
Requires:	GeoIP >= 1.5.1-1
Requires:	glib2 >= 2.28.8-1
Requires:	gnutls >= 2.12.23-2
Requires:	gtk2 >= 2.20.1-2
Requires:	libgcrypt >= 1.6.6-1
Requires:	libgpg-error >= 1.26-1
Requires:	libpcap >= 1.7.4-1
Requires:	libsmi >= 0.4.8-1
Requires:	libssh >= 0.7.5-1
Requires:	pango >= 1.24.5-1
Requires:	readline >= 7.0-3
Requires:	zlib >= 1.2.3-7

%description
Wireshark is a free network protocol analyzer for Unix and Windows. It
allows you to examine data from a live network or from a capture file
on disk. You can interactively browse the capture data, viewing summary
and detail information for each packet. Wireshark has several powerful
features, including a rich display filter language and the ability to
view the reconstructed stream of a TCP session.


%package devel
Summary:	Development headers and libraries for wireshark
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= 2.28.8-1

%description devel
The wireshark-devel package contains the header files, developer
documentation, and libraries required for development of wireshark scripts
and plugins.


%prep
%setup -q
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# for GTK2 xlc_r is needed
export CC="xlc_r -D_LARGE_FILES -D_LINUX_SOURCE_COMPAT"

# force RTL linking and need "-bigtoc" linker option now
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000 -Wl,-brtl -Wl,-bbigtoc"

# we need a newer Perl for generating the man pages
export PATH=/opt/freeware/bin:$PATH

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-wireshark \
    --disable-profile-build \
    --with-qt=no \
    --with-gtk=2 \
    --with-gnutls=yes \
    --with-gcrypt=yes \
    --with-libsmi \
    --with-pcap \
    --with-pcap-remote \
    --with-zlib \
    --without-lua \
    --without-portaudio \
    --with-ssl=%{_prefix} \
    --without-krb5 \
    --with-c-ares \
    --with-geoip \
    --with-libssh \
    --with-plugins

gmake %{?_smp_mflags} V=1


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/*

# install devel files
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_includedir}/%{name}
IDIR=${RPM_BUILD_ROOT}%{_includedir}/%{name}
mkdir -p ${IDIR}/epan
mkdir -p ${IDIR}/epan/crypt
mkdir -p ${IDIR}/epan/ftypes
mkdir -p ${IDIR}/epan/dfilter
mkdir -p ${IDIR}/epan/dissectors
mkdir -p ${IDIR}/epan/wmem
mkdir -p ${IDIR}/wiretap
mkdir -p ${IDIR}/wsutil
cp config.h register.h         ${IDIR}/
cp cfile.h file.h              ${IDIR}/
cp ws_diag_control.h           ${IDIR}/
cp ws_symbol_export.h          ${IDIR}/
cp epan/*.h                    ${IDIR}/epan/
cp epan/crypt/*.h              ${IDIR}/epan/crypt
cp epan/ftypes/*.h             ${IDIR}/epan/ftypes
cp epan/dfilter/*.h            ${IDIR}/epan/dfilter
cp epan/dissectors/*.h         ${IDIR}/epan/dissectors
cp epan/wmem/*.h               ${IDIR}/epan/wmem
cp wiretap/*.h                 ${IDIR}/wiretap
cp wsutil/*.h                  ${IDIR}/wsutil

find ${IDIR} -name "*.h" -exec chmod 0644 {} \;

# install the autoconf macro.
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal
cp %{SOURCE3} ${RPM_BUILD_ROOT}%{_datadir}/aclocal/%{name}.m4
chmod 644 ${RPM_BUILD_ROOT}%{_datadir}/aclocal/%{name}.m4

# make symlinks
(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.aix
%{_bindir}/*
%{_libdir}/*.so*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/%{version}
%{_libdir}/%{name}/extcap
%{_mandir}/man?/*
%{_datadir}/%{name}
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/mime/packages/%{name}.xml
/usr/bin/*
/usr/lib/*.so*


%files devel
%defattr(-,root,system)
%doc doc/README.*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
/usr/include/*
/usr/lib/*.la


%changelog
* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.2.11-1
- updated to version 2.2.11

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.2.10-1
- updated to version 2.2.10

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.2.9-1
- updated to version 2.2.9

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.2.8-1
- updated to version 2.2.8

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.2.7-1
- updated to version 2.2.7

* Fri Dec 15 2017 Michael Perzl <michael@perzl.org> - 2.2.6-1
- updated to version 2.2.6

* Tue Mar 14 2017 Michael Perzl <michael@perzl.org> - 2.2.5-1
- updated to version 2.2.5

* Tue Jan 31 2017 Michael Perzl <michael@perzl.org> - 2.2.4-1
- updated to version 2.2.4

* Fri Dec 16 2016 Michael Perzl <michael@perzl.org> - 2.2.3-1
- updated to version 2.2.3

* Fri Dec 16 2016 Michael Perzl <michael@perzl.org> - 2.2.2-1
- updated to version 2.2.2

* Fri Dec 16 2016 Michael Perzl <michael@perzl.org> - 2.2.1-1
- updated to version 2.2.1

* Fri Dec 16 2016 Michael Perzl <michael@perzl.org> - 2.2.0-1
- updated to version 2.2.0

* Thu Dec 15 2016 Michael Perzl <michael@perzl.org> - 2.1.1-1
- updated to version 2.1.1

* Thu Dec 15 2016 Michael Perzl <michael@perzl.org> - 2.1.0-1
- updated to version 2.1.0

* Wed Dec 14 2016 Michael Perzl <michael@perzl.org> - 2.0.9-1
- updated to version 2.0.9

* Wed Dec 14 2016 Michael Perzl <michael@perzl.org> - 2.0.8-1
- updated to version 2.0.8

* Wed Dec 14 2016 Michael Perzl <michael@perzl.org> - 2.0.7-1
- updated to version 2.0.7

* Wed Dec 14 2016 Michael Perzl <michael@perzl.org> - 2.0.6-1
- updated to version 2.0.6

* Wed Dec 14 2016 Michael Perzl <michael@perzl.org> - 2.0.5-1
- updated to version 2.0.5

* Sun Jul 03 2016 Michael Perzl <michael@perzl.org> - 2.0.4-1
- updated to version 2.0.4

* Mon Apr 25 2016 Michael Perzl <michael@perzl.org> - 2.0.3-1
- updated to version 2.0.3

* Wed Mar 09 2016 Michael Perzl <michael@perzl.org> - 2.0.2-1
- updated to version 2.0.2

* Wed Mar 09 2016 Michael Perzl <michael@perzl.org> - 2.0.1-1
- updated to version 2.0.1

* Thu Jan 14 2016 Michael Perzl <michael@perzl.org> - 2.0.0-1
- updated to version 2.0.0

* Thu Jan 14 2016 Michael Perzl <michael@perzl.org> - 1.12.9-1
- updated to version 1.12.9

* Thu Jan 14 2016 Michael Perzl <michael@perzl.org> - 1.12.8-1
- updated to version 1.12.8

* Thu Jan 14 2016 Michael Perzl <michael@perzl.org> - 1.12.7-1
- updated to version 1.12.7

* Thu Jan 14 2016 Michael Perzl <michael@perzl.org> - 1.12.6-1
- updated to version 1.12.6

* Sun May 17 2015 Michael Perzl <michael@perzl.org> - 1.12.5-1
- updated to version 1.12.5

* Sun May 17 2015 Michael Perzl <michael@perzl.org> - 1.12.4-1
- updated to version 1.12.4

* Sun May 17 2015 Michael Perzl <michael@perzl.org> - 1.12.3-1
- updated to version 1.12.3

* Fri Nov 28 2014 Michael Perzl <michael@perzl.org> - 1.12.2-1
- updated to version 1.12.2

* Wed Sep 17 2014 Michael Perzl <michael@perzl.org> - 1.12.1-1
- updated to version 1.12.1

* Tue Aug 12 2014 Michael Perzl <michael@perzl.org> - 1.12.0-1
- updated to version 1.12.0

* Tue Aug 12 2014 Michael Perzl <michael@perzl.org> - 1.10.9-1
- updated to version 1.10.9

* Sun Jun 15 2014 Michael Perzl <michael@perzl.org> - 1.10.8-1
- updated to version 1.10.8

* Mon May 19 2014 Michael Perzl <michael@perzl.org> - 1.10.7-1
- updated to version 1.10.7

* Sun Mar 09 2014 Michael Perzl <michael@perzl.org> - 1.10.6-1
- updated to version 1.10.6

* Sat Dec 21 2013 Michael Perzl <michael@perzl.org> - 1.10.5-1
- updated to version 1.10.5

* Thu Dec 19 2013 Michael Perzl <michael@perzl.org> - 1.10.4-1
- updated to version 1.10.4

* Sat Nov 02 2013 Michael Perzl <michael@perzl.org> - 1.10.3-1
- updated to version 1.10.3

* Thu Sep 12 2013 Michael Perzl <michael@perzl.org> - 1.10.2-1
- updated to version 1.10.2

* Sat Jul 27 2013 Michael Perzl <michael@perzl.org> - 1.10.1-1
- updated to version 1.10.1

* Thu Jun 06 2013 Michael Perzl <michael@perzl.org> - 1.10.0-1
- updated to version 1.10.0

* Mon May 20 2013 Michael Perzl <michael@perzl.org> - 1.8.7-1
- updated to version 1.8.7

* Thu Mar 07 2013 Michael Perzl <michael@perzl.org> - 1.8.6-1
- updated to version 1.8.6

* Tue Jan 29 2013 Michael Perzl <michael@perzl.org> - 1.8.5-1
- updated to version 1.8.5

* Thu Nov 29 2012 Michael Perzl <michael@perzl.org> - 1.8.4-1
- updated to version 1.8.4

* Wed Oct 03 2012 Michael Perzl <michael@perzl.org> - 1.8.3-1
- updated to version 1.8.3

* Sun Aug 19 2012 Michael Perzl <michael@perzl.org> - 1.8.2-1
- updated to version 1.8.2

* Mon Jul 30 2012 Michael Perzl <michael@perzl.org> - 1.8.1-2
- changed dependency on lua >= 5.1.5 because of updated lua package

* Tue Jul 24 2012 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Fri Jun 22 2012 Michael Perzl <michael@perzl.org> - 1.8.0-1
- updated to version 1.8.0

* Tue May 22 2012 Michael Perzl <michael@perzl.org> - 1.6.8-1
- updated to version 1.6.8

* Sat Apr 07 2012 Michael Perzl <michael@perzl.org> - 1.6.7-1
- updated to version 1.6.7

* Wed Mar 28 2012 Michael Perzl <michael@perzl.org> - 1.6.6-1
- updated to version 1.6.6

* Fri Jan 13 2012 Michael Perzl <michael@perzl.org> - 1.6.5-1
- updated to version 1.6.5

* Sat Nov 19 2011 Michael Perzl <michael@perzl.org> - 1.6.4-1
- updated to version 1.6.4

* Sat Nov 19 2011 Michael Perzl <michael@perzl.org> - 1.6.3-1
- updated to version 1.6.3

* Fri Oct 28 2011 Michael Perzl <michael@perzl.org> - 1.6.2-1
- updated to version 1.6.2

* Fri Oct 28 2011 Michael Perzl <michael@perzl.org> - 1.4.9-1
- updated to version 1.4.9

* Fri Oct 28 2011 Michael Perzl <michael@perzl.org> - 1.2.18-1
- updated to version 1.2.18

* Wed Oct 20 2010 Michael Perzl <michael@perzl.org> - 1.2.12-1
- updated to version 1.2.12

* Fri Sep 03 2010 Michael Perzl <michael@perzl.org> - 1.2.11-1
- updated to version 1.2.11

* Fri Jul 30 2010 Michael Perzl <michael@perzl.org> - 1.2.10-1
- updated to version 1.2.10

* Sat Jun 12 2010 Michael Perzl <michael@perzl.org> - 1.2.9-1
- updated to version 1.2.9

* Thu May 20 2010 Michael Perzl <michael@perzl.org> - 1.2.8-2
- changed to RTL linking to enable DSO plugins
- added a "devel" package to be able to build additional plugins

* Wed May 19 2010 Michael Perzl <michael@perzl.org> - 1.2.8-1
- first version for AIX V5.1 and higher
